<div align='center'>
<img src='/assets/icons/icon.png' width='150'/>
<h2>🌦️ Rain</h2>
</div>

<p align='center'>
 <p align='center'>
    <a href='https://github.com/darkmoonight/Rain/stargazers'><img alt='Stars' src='https://img.shields.io/github/stars/darkmoonight/Rain?color=abc0d3'/></a>
    <a href='https://github.com/darkmoonight/Rain/forks'><img alt='Forks' src='https://img.shields.io/github/forks/darkmoonight/Rain?color=abc0d3'/></a>
    <a href='https://github.com/darkmoonight/Rain/releases'><img alt='GitHub release' src='https://img.shields.io/github/v/release/darkmoonight/Rain?color=abc0d3'/></a>
    <a href='https://github.com/darkmoonight/Rain/blob/main/LICENSE'><img alt='License' src='https://img.shields.io/github/license/darkmoonight/Rain?color=abc0d3'/></a>
 </p>
</p>

<p align='center'> Tired of unpredictable weather? Rain's got you covered! Get ready for any forecast. 🌦️ </p>

### 🌍 Be aware of the weather

With Rain, you can explore the weather in your city and beyond. We offer an array of features to keep you informed and prepared:

- 🌟 **View Current Weather:** Stay up-to-date with real-time weather conditions in your area.
- 🌅 **View Weather by Hour:** Plan your day effectively with hourly forecasts.
- 📆 **View the Weather for the Week:** Get a week-long weather outlook at your fingertips.
- 🌡️ **View Detailed Weather Data:** Dive deep into weather statistics for a comprehensive understanding.
- 🌐 **Localization:** Choose your preferred language from a wide range of options.
- 🏙️ **Data Caching:** Access weather information even when you're offline.
- 🌆 **Choose Your City:** Set your location or add other cities to your list.
- 🧮 **Metric or Imperial:** Customize your measurement system for temperature and more.
- 🌡️ **Celsius or Fahrenheit:** Pick your preferred temperature unit.
- 🕰️ **12-Hour or 24-Hour Time Formats:** Adjust the time display to your liking.
- 🔔 **Notifications:** Receive weather alerts and stay informed.
- 🧩 **Widget:** Add a weather widget to your home screen for quick updates.
- 🎨 **Beautiful Design**

Our application not only offers functionality but also boasts an aesthetically pleasing design. We have meticulously crafted Rain with your user experience as our top priority, guaranteeing both convenience and elegance in a single package.

### 🌐 Reliable Data Sources

We fetch weather data from [Open-Meteo](https://open-meteo.com/en/docs) and use [Open-Meteo's Geocoding API](https://open-meteo.com/en/docs/geocoding-api) to help you find cities easily.

### 📸 Screenshots

<img src='/readme/1.png' width='200'/> <img src='/readme/2.png' width='200'/> <img src='/readme/3.png' width='200'/> <img src='/readme/4.png' width='200'/>

### 💰 Support Us

If you find Rain valuable and worthy for future innovation, consider supporting us through donations:

[![DonationAlerts](https://img.shields.io/badge/DonationAlerts-orange?style=for-the-badge)](https://www.donationalerts.com/r/darkmoonight)
[![ЮMoney](https://img.shields.io/badge/ЮMoney-violet?style=for-the-badge)](https://yoomoney.ru/to/4100117672775961)

### 📥 Get Rain Now

[![Play Store](https://img.shields.io/badge/Google_Play-414141?style=for-the-badge&logo=google-play&logoColor=white)](https://play.google.com/store/apps/details?id=com.yoshi.rain)
[![RuStore](https://img.shields.io/badge/RuStore-blue?style=for-the-badge&logo=vk&logoColor=white)](https://apps.rustore.ru/app/com.yoshi.rain)

Or get the latest APK from the [Releases Section](https://github.com/DarkMooNight/Rain/releases/latest). You can also find the app on IzzyOnDroid via a F-Droid client [here](https://apt.izzysoft.de/fdroid/index/apk/com.yoshi.rain).

### 📃 License

This project is licensed under the [MIT License](./LICENSE).

### 👨‍💻 Our Contributors

<a href='https://github.com/darkmoonight/Rain/graphs/contributors'>
  <img src='https://contrib.rocks/image?repo=darkmoonight/Rain' />
</a>
